# Get a batch

Launch stage: Beta

`GET /api/2.0/ai-functions/batches/{name}`

Gets the latest status and progress of a batch.

API scopes: ai-functions

## Path parameters

- `name` (string, required)
  Resource name of the batch. Format: `batch_<id>`.

## Returns

Returns the Batch object.

## Response

```json
{
  "name": "string",
  "endpoint": "string",
  "input_ref": "string",
  "params": {},
  "output_ref": "string",
  "status": "PENDING",
  "create_time": "string",
  "request_counts": {
    "total": 0,
    "succeeded": 0,
    "failed": 0
  },
  "percent_complete": 0
}
```

